
QGIS Application - Bug report #16530

QGIS crashes randomly when multi-threaded rendering is active

2017-05-09 04:01 AM - Pedro Camargo

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.6 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24436

Description

Crashing does not seem related to any action in particular, but it is very common in heavily loaded workspaces.

Crashing becomes very rare (or stops) once multi-threaded rendering is turned off.  Mini-dump provided

History

#1 - 2017-05-09 04:40 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you please check:

1. do you have on the fly reprojection enabled?

2. are any layers in your project in a different projection to the project itself?

3. if so, does removing these layers from the project help?

#2 - 2017-05-26 05:00 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

qgis_dump.7z 2.56 MB 2017-05-09 Pedro Camargo
